
#ifndef SAMPLEFILTER_H_
#define SAMPLEFILTER_H_

/*

FIR filter designed with
 http://t-filter.appspot.com

sampling frequency: 200 Hz

fixed point precision: 32 bits

* 0 Hz - 30 Hz
  gain = 1
  desired ripple = 0.5 dB
  actual ripple = n/a

* 40 Hz - 100 Hz
  gain = 0
  desired attenuation = -90 dB
  actual attenuation = n/a

*/

#define SAMPLEFILTER_TAP_NUM 67

typedef struct {
  int history[SAMPLEFILTER_TAP_NUM];
  unsigned int last_index;
} SampleFilter;

void SampleFilter_init(SampleFilter* f);
void SampleFilter_put(SampleFilter* f, int input);
int SampleFilter_get(SampleFilter* f);

#endif
